package com.hmsoft.remote.rmi.common.callable;

import java.util.concurrent.Callable;

import com.hmsoft.common.socket.ExchangeSever;
import com.hmsoft.remote.rmi.model.Message;


/**
 * 
 * TransferCallable
 *
 */
public class TransToMgeCallable implements Callable<Object> {

	private ExchangeSever server;
	private Message message;
	
	public TransToMgeCallable(ExchangeSever server, Message message) {
		this.message = message;
		this.server = server;
	}
	
	@Override
	public Object call() throws Exception {
		Object obj = this.server.sendToMgr(this.message);
		return obj;
	}

}
